Bug 854077 - (cputemp) Review Request: cputemp - Monitors and logs CPU Temperature via ACPI
Review Request: cputemp - Monitors and logs CPU Temperature via ACPI
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 20:03 EDT by Scott Williams
Modified: 2015-07-21 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-09 17:14:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cputemp 1.0.1-1 source (21.33 KB, application/x-rpm)
2012-09-03 20:03 EDT, Scott Williams
no flags Details
cputemp SPEC (1.90 KB, text/plain)
2012-09-03 20:04 EDT, Scott Williams
no flags Details

  None (edit)
Description Scott Williams 2012-09-03 20:03:45 EDT
Created attachment 609494 [details]
cputemp 1.0.1-1 source

Package review for cputemp https://sourceforge.net/projects/py-cputemp/

I am the author of this program and would like to package it for Fedora.  I've provided a source RPM and will attach SPEC.
Comment 1 Scott Williams 2012-09-03 20:04:37 EDT
Created attachment 609495 [details]
cputemp SPEC
Comment 2 Michael Scherer 2012-09-04 14:02:24 EDT
Hi scott, do you already have a packager account ?
Comment 3 Scott Williams 2012-09-05 02:09:15 EDT
No, but I do have a FAS account: vwbusguy
Comment 4 Michael Schwendt 2012-12-19 16:39:31 EST
Some hints (I've not tried to build/test this):


* The following page explains how you can request web storage where to offer your src.rpm and spec file during the review process:

   https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

The page also mentions how to do a scratch build in the Fedora build system.

Also on the page, in the "Make a package" section, is a pointer at the Review Guidelines. It is highly recommended to take a look at them

   https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

and give "rpmlint" (a MUST item on that page) a try. Run "rpmlint -i" on your src.rpm and the built packages. Fix as much as sounds plausible and can be verified via the packaging guidelines. Some of what it reports are false positives, however. ;)


> License:        GPLv3

That doesn't match the source code file, which contains a "GPLv2+" preamble.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification


> Source0:        cputemp-%{version}.tar.gz

https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net


> BuildArch:      noarch
> BuildRequires:  python-devel

It doesn't need the stuff in python-devel, but "BuildRequires: python", does it?


> %build
> # Remove CFLAGS=... for noarch packages (unneeded)
> # CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
> #./Setup.py --binprefix=%{_prefix}

It's better to remove lines if they are not needed at all. rpmlint gives help about this, too.


> mkdir -p $RPM_BUILD_ROOT%{_datarootdir}/doc/cputemp

Interesting to encounter %_datarootdir once more after a very long time. Thousands of packages use the shorter %{_datadir} instead. Also notice:
https://fedoraproject.org/wiki/Packaging:Guidelines#Macros


> cp cputemp-%{version}\ Change\ Log $RPM_BUILD_ROOT%{_datarootdir}/doc/cputemp

https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps


> mv CPUTemp.py cputemp
> mv cputemp $RPM_BUILD_ROOT/%{_bindir}/cputemp

Even if this is just a tiny package, please don't get used to deleting/moving files in the builddir, because that breaks rpmbuild's --short-circuit options. Prefer copying/installing files to their target location. If you ever co-maintain a larger package with a more complex %files section, you might meet a co-maintainer who will want to do a --short-circuit install to check the installed %files.


> %files
> "%{_datarootdir}/doc/cputemp/cputemp-%{version} Change Log"

Directory /usr/share/doc/cputemp would not be included:
https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 5 Scott Williams 2015-07-09 17:14:23 EDT
I'm going to voluntarily close this out.  This tool has pretty much served my purposes and I don't intend to actively develop or maintain it any more unless there's some revival of interest.  I'm going to work on my other projects instead.

Thanks very much for looking at this Michael.

Scott

Note You need to log in before you can comment on or make changes to this bug.